Description

Changes as decided upon at the Sevilleta EML meeting, April 24-25, 2002:
Responsible: James

1) make personnel an element that extends ResponsibleParty with a "role" element
2) make siteDescription and designDescription local elements in the schema
instead of global as they are now

3) rename siteDescription to "studyAreaDescription" -- expect it to evolve to
follow siteDB in later versions. James, David, Karen to take lead on this.

3) revise sampling to include:

studyExtent -- coverage and /or a paragraph*

samplingDescription (paragraph+ incudes description of stratification)
citation*

spatialSamplingUnits? -- choice of (geographicCoverage+) or (a reference to
an entitylD) -- | don't really understand how this will work, so be sure to
document the semantics fully.

4) link to coverage instead of the individual temporalCov and GeoCov elements

History

#1 - 05/15/2002 09:13 AM - Matt Jones

From D. Blankman. Proposed changes to eml-project using collapsed
classifications.

#2 - 05/15/2002 09:14 AM - Matt Jones

From D. Blankman. Proposed revisions to eml-project, approach 2. Includes more
detailed classification systems enumerated (such as Bailey).

#3 - 05/15/2002 09:28 AM - Matt Jones
Hi David,

Thanks. Personally, | like the approach 1 better because of its simplicity, but
Corinna's point is right that the appraoch 2 style where users are prompted for
information might get more complete metadata. However, if approach 2 is not a
comprehensive set of site descriptors, then people might be frustrated. You

really need to discuss this with James and Karen and propose a concensus opinion
that you think will work for all ecologists (marine ecology, oceanography,

terrestrial, etc).

That said, | see a number of problems with the current drafts you sent that will
need to be fixed before we can check them in. Here goes...

1) There is an error in how you tried to import geographic coverage. You need

to create an element named "geographicCoverage" (fully spelled out) and give it
the type "cov:GeographicCoverage". Likewise, you imported coverage wrong, in
that you used the cov:coverage element rather than creating your own "coverage"
element and assigning it the type "cov:Coverage". We agreed to do imports like
the latter.

2) You are missing documentation for many tags, and | think for all of the

elements you created. You need to provide full documentation in the form of a
doc:tooltip, doc:summary, doc:description, and doc:example, and doc:lineage for
every element and attribute in the schema. These should fully explain and
define the semantics of each element and attribute in language that is fully
understandable by ecological scientists.

3) Indentation is messed up. Our standard is to use 2 space indents and a
maximum line width of 80 characters for all schemas, including documentation.
You edited with XML Spy, and it raised hell with the existing format. Please be
sure that you have properly formatted the document. Also, note that it would be
better if you made NO changes to whitespace on lines that you are not changing
content -- otherwise, it is more difficult for us to see what you changed using
"diff".

4) personell needs to be repeatable
5) studyExtent/coverage is not imported/referenced/typed correctly

6) citation is imported incorrectly in all cases. Change to the format
described in (1)

7) samplingDescription/paragraph should be required so that people have to have
at least one paragraph. same with other paragraphs, butonly if other content
isn't possible.

8) protocol is imported incorrectly

9) | still don't understand how spatialSamplingUnits works. Maybe when you
document the elements | will understand.

10) The root element should be "researchProject". We agreed to get rid of the
"eml-whatever" root elements in favor of camel caps. ldentifier needs to be the
first child of researchProject. There needs to be a complex type called
"ResearchProject" that has the content model of the current "researchProject”
element, and then the "researchProject" element should be changed to be of type
"ResearchProject". This will be used in importing in other locations.

11) I don't understand the difference between "classificatinSystem" and
"descriptorThemeSystem". Again, documentation would probably help.

That's about it. When you make the changes, you can obsolete the attachments
above with new attachments so everyone can see them.

David Blankman wrote:
Matt,

| have eml-constraint finished except for some documentation. | have
working with Corinna, but we both had some questions about the meaning
of one of the elements. | was unable to clarify with Peter today, but

will do so tomorrow. As soon as | have the clarification from Peter, |

will send you off a patch.

| have two prototypes for eml-project (assigned to James, but delegated
to me). James has been out-of-town but should be back tomorrow.

| am attaching both prototypes. James has not seen either of them.

Prototype 1 (eml-projectR1.xsd) is simple and flexible, it allows for
the use of any one or more classification systems, e.g. bailey, biome,
and allows for any arbitrary set of themeSystems, e.g. climate,
hydrology.

The second prototype (eml-projectR2.xsd) has bailey and biome
classifications as specific elements and the simple/flexible model from
Prototype 1. The second prototype has specific elements for climate,
soils, geology, hydrology, and disturbance themes as well as the
simple/flexible model from Prototype 1.

#5 - 05/24/2002 11:39 AM - David Blankman

Simplified structure of studyAreaDescription significantly. Deleted classification system. Classification systems will be described as descriptors.
Descriptors now have an attribute of name. Created a DescriptorNameType (modeled on RoleType in eml-party.xsd -- union of enumerated list and
unrestricted string) The enumerated list currently includes: climate, soils, geology, hydrology, soils, distrurbances, bailey,biome. There are probably
other general site descriptors themes that could be added to the suggested list. The list clearly has a terrestrial bias.
Descriptors have values. The value element has an attribute of "name_or_id". For a published system like "Bailey" there are |Ds/codes like M131 and
names "open-woodland-tundra" M131 would correspond to the "name_or_id" while "open-woodland-tundra" would be the value. In the case of a
"theme" like climate. The "name_or_id" might be "average rainfall" and the value would be "12.5 inches".

Examples of some of the more complex areas such as "samplingDescription" have been left blank. If desired, someone with content expertise should

provide the examples.

#6 - 05/24/2002 12:29 PM - Matt Jones
Thanks david. | have checked this in to CVS.

#7 - 06/13/2002 06:57 PM - Matt Jones

Changes reviewed and checked into CVS.

#8 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 488

Files

eml-projectR1.xsd 12.7 KB 05/15/2002 Matt Jones
eml-projectR2.xsd 18 KB 05/15/2002 Matt Jones
eml-project.xsd 21 KB 05/24/2002 David Blankman
